<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="click"
            type="com.hongyegroup.cpt_pensonal.ui.activity.PensonalAppointmentMakeActivity.ClickProxy" />

        <import type="android.text.TextUtils" />

    </data>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/page_bg"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_title="Appointment Date &amp; Time" />

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:overScrollMode="never"
            android:scrollbars="none">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_8dp"
                android:layout_marginRight="@dimen/d_8dp"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shadow_round_gray_bg"
                    android:orientation="vertical">

                    <com.guadou.lib_baselib.font_text_view.TextViewSBold
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_22dp"
                        android:layout_marginTop="@dimen/d_35dp"
                        android:text="Select Date"
                        android:textColor="@color/input_black_text_5D"
                        android:textSize="23sp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginTop="35dp"
                        android:orientation="horizontal">

                        <com.guadou.lib_baselib.font_text_view.TextViewRegular
                            android:id="@+id/tv_select_date"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_22dp"
                            android:layout_weight="1"
                            android:text="26 May 2021"
                            android:textColor="@color/input_black_text_5D"
                            android:textSize="16sp" />

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="@dimen/d_22dp"
                            android:src="@drawable/make_appointment_date_icon"
                            binding:clicks="@{click.pickerData}" />

                    </LinearLayout>

                    <View
                        android:layout_width="wrap_content"
                        android:layout_height="1dp"
                        android:layout_marginLeft="@dimen/d_22dp"
                        android:layout_marginTop="@dimen/d_15dp"
                        android:layout_marginRight="@dimen/d_22dp"
                        android:background="#FFD9E1ED" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="25dp" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="-5dp"
                    android:background="@drawable/shadow_round_gray_bg"
                    android:orientation="vertical">

                    <com.guadou.lib_baselib.font_text_view.TextViewSBold
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_22dp"
                        android:layout_marginTop="@dimen/d_35dp"
                        android:text="Select Time"
                        android:textColor="@color/input_black_text_5D"
                        android:textSize="23sp" />


                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/recyclerView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_20dp"
                        android:layout_marginRight="@dimen/d_5dp"
                        android:overScrollMode="never"
                        android:scrollbars="none" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="30dp" />

                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="-5dp"
                    android:background="@drawable/shadow_round_gray_bg"
                    android:gravity="center_horizontal"
                    android:orientation="vertical">

                    <com.guadou.lib_baselib.font_text_view.TextViewSBold
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/d_25dp"
                        android:text="26 May 2021 14:00"
                        android:textColor="@color/input_black_text_5D"
                        android:textSize="18sp" />

                    <com.guadou.lib_baselib.font_text_view.TextViewRegular
                        android:layout_width="match_parent"
                        android:layout_height="43dp"
                        android:layout_marginLeft="@dimen/d_22dp"
                        android:layout_marginTop="@dimen/d_18dp"
                        android:layout_marginRight="@dimen/d_22dp"
                        android:background="@drawable/shape_btn_blue_3round_bg"
                        android:gravity="center"
                        android:text="Submit"
                        android:textColor="@color/white"
                        android:textSize="@dimen/d_16sp"
                        binding:clicks="@{click.doSubmit}" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="20dp" />

                </LinearLayout>

                <View
                    android:layout_width="1dp"
                    android:layout_height="30dp" />

            </LinearLayout>

        </androidx.core.widget.NestedScrollView>


    </LinearLayout>

</layout>
